<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<title>ITEA-JS ADVANCED - LESSON 2 / Task 4 </title>
	<link rel="stylesheet" href="css/normalize.css" />
	<link rel="stylesheet" href="css/style.min.css" />
</head>
<body>

	<header id="buttonContainer" class="buttonsHeader">
		<button type="button" class="showButton" data-tab="1"> Вкладка 1 </button>
		<button type="button" class="showButton" data-tab="2"> Вкладка 2 </button>
		<button type="button" class="showButton" data-tab="3"> Вкладка 3 </button>
	</header>

	<div id="tabContainer" class="tabContainer">
		<div class="tab" data-tab="1">
			<h2>Вкладка 1</h2>
			<img src="img/cat2.jpg"/>
		</div>
		<div class="tab" data-tab="2">
			<h2>Вкладка 2</h2>
			<img src="img/cat4.jpg"/>
		</div>
		<div class="tab" data-tab="3">
			<h2>Вкладка 3</h2>
			<img src="img/cat7.jpg"/>
		</div>
	</div>


<script>
/*

	Задание 1.

	Написать скрипт который будет будет переключать вкладки по нажатию
	на кнопки в хедере.

	Главное условие - изменять файл HTML нельзя.

	Алгоритм:
		1. Выбрать каждую кнопку в шапке
			+ бонус выбрать одним селектором

		2. Повесить кнопку онклик
				button1.onclick = function(event) {

				}
				+ бонус: один обработчик на все три кнопки

		3. Написать функцию которая выбирает соответствующую вкладку
			и добавляет к ней класс active

		4. Написать функцию hideAllTabs которая прячет все вкладки.
			Удаляя класс active со всех вкладок

	Методы для работы:

		getElementById
		querySelector
		classList
		classList.add
		forEach
		onclick

		element.onclick = function(event) {
			// do stuff ...
		}

*/
const ACTIVE_CLASS = 'active';
const tabContainer = document.getElementById("tabContainer");
const tabs = tabContainer.querySelectorAll('div.tab');
const buttons = document.querySelectorAll("header#buttonContainer button.showButton");

buttons.forEach((element)=> {
	console.log(element)
	element.addEventListener("click", buttonHandler);
});

function buttonHandler(e){
	console.log(e.target)
	console.log(e.target.dataset.tab)
	const tab = getTab(e.target.dataset.tab);
	hideAllTabs();
	tab.classList.add(ACTIVE_CLASS);
}

function getTab(dataTab) {
	let result = null;
	tabs.forEach(function callback (tab, index) {
		console.log(tab.dataset.tab );
		if(tab.dataset.tab == dataTab) {
			console.log("return",dataTab);
			console.log(tabs[index]);
			result =  tabs[index];
		}
	});

	return result;
}

function hideAllTabs() {
	tabs.forEach(tab => {
		tab.classList.remove(ACTIVE_CLASS);
	});
}

</script>
</body>
</html>
